Package org.apache.cayenne.access.sqlbuilder.sqltree

## Class ColumnNode

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.Node
  - - org.apache.cayenne.access.sqlbuilder.sqltree.ColumnNode

- Direct Known Subclasses:
    `UnescapedColumnNode`

      public class ColumnNode
      extends Node

  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `alias` |
    `protected DbAttribute` | `attribute` |
    `protected String` | `column` |
    `protected String` | `table` |

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `children, childrenCount, parent, type`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColumnNode​(String table, String column, String alias, DbAttribute attribute)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QuotingAppendable` | `append​(QuotingAppendable buffer)` |
    `Node` | `copy()` |
    `String` | `getAlias()` |
    `DbAttribute` | `getAttribute()` |
    `String` | `getColumn()` |
    `String` | `getTable()` |
    `void` | `setAlias​(String alias)` |

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `addChild, addChild, appendChildrenEnd, appendChildrenSeparator, appendChildrenStart, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, toString, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### table

          protected final String table

    - #### column

          protected final String column

    - #### attribute

          protected final DbAttribute attribute

    - #### alias

          protected String alias

  - ### Constructor Detail

    - #### ColumnNode

          public ColumnNode​(String table,
                            String column,
                            String alias,
                            DbAttribute attribute)

  - ### Method Detail

    - #### append

          public QuotingAppendable append​(QuotingAppendable buffer)

      Specified by:
        `append` in class `Node`

    - #### getTable

          public String getTable()

    - #### getColumn

          public String getColumn()

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias​(String alias)

    - #### getAttribute

          public DbAttribute getAttribute()

    - #### copy

          public Node copy()

      Specified by:
        `copy` in class `Node`